<?php 
    $wp_customize->add_section(
        'facility_area',
        array(
            'title' => __( 'Facility Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'facility_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'facility_area_disable',
            array(
                'settings'      => 'facility_area_disable',
                'section'       => 'facility_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'facilityus', 'facility_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'facilityarea_padding', 'facility_area', 'Section Padding');

$wp_customize->add_setting(
    'facility_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facility_areaTpadding',
    array(
        'settings'      => 'facility_areaTpadding',
        'section'       => 'facility_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'facility_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facility_areaBpadding',
    array(
        'settings'      => 'facility_areaBpadding',
        'section'       => 'facility_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'facility_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'facility_title_heading',
        array(
            'settings'      => 'facility_title_heading',
            'section'       => 'facility_area',
            'label'         => __( 'Section Sub Heading & Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'facsubheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Facility', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facsubheading',
    array(
        'settings'      => 'facsubheading',
        'section'       => 'facility_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'facility_subHeading_clr', 'facility_area', 'Section Sub Heading Color ', '#fff');

addColorPalatOption($wp_customize, 'facility_subHeadingbg_clr', 'facility_area', 'Section Sub Heading BG Color ', '#76B801');

$wp_customize->add_setting(
    'facility_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'WHY YOU SHOULD CHOOSE US', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facility_heading',
    array(
        'settings'      => 'facility_heading',
        'section'       => 'facility_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'facility_Heading_clr', 'facility_area', 'Section Heading Color ', '#000');

addColorPalatOption($wp_customize, 'facility_Headingbrd_clr', 'facility_area', 'Section Heading Border Color ', '#73552E');


$wp_customize->add_setting('facilityus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'facilityus_npp_heading',
        array(
            'settings'      => 'facilityus_npp_heading',
            'section'       => 'facility_area',
            'label'         => __( 'Number Of Facility Box', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('facilityus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 5));
$wp_customize->add_control(
    'facilityus_npp_count',
    array(
        'settings'      => 'facilityus_npp_count',
        'section'       => 'facility_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Facility Box To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);

//facility PAGES
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'facilityus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'facilityus_header'.$i,
            array(
                'settings'      => 'facilityus_header'.$i,
                'section'       => 'facility_area',
                'label'         => __( 'Section Box ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'facilityus_page_icon'.$i,
        array(
            'default'           => 'fa fa-taxi',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'facilityus_page_icon'.$i,
            array(
                'settings'      => 'facilityus_page_icon'.$i,
                'section'       => 'facility_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'facilityus_page_title'.$i, 'facility_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='PICKUP & DROP');

lzAddElement($wp_customize, 'luzuk_facility_page_url_'.$i, 'facility_area', $type = 'text', $label="Box Link", $callback ='esc_url', $default='Add link here');

}


lzCustomLable($wp_customize, 'feasecbtn', 'facility_area' , 'Facility Section Color');

addColorPalatOption($wp_customize, 'facility_area_bxbrd', 'facility_area', 'Section Box Border Color', '#CFDE07');

addColorPalatOption($wp_customize, 'facility_area_bxbg', 'facility_area', 'Section Box BG Color', '#76B801');

addColorPalatOption($wp_customize, 'facility_area_bxbghv', 'facility_area', 'Section Box Hover Color', '#545454');

addColorPalatOption($wp_customize, 'facility_area_pageicon', 'facility_area', 'Section Box Icon Color', '#fff');

addColorPalatOption($wp_customize, 'facility_area_pagetitle', 'facility_area', 'Section Box Title Color', '#fff');


